- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# Attic/OgreMaterialScriptCompiler.h File Reference

`#include "OgreCompiler2Pass.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreMaterial.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::MaterialScriptCompiler
struct | Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition
| Struct for holding a program definition which is in progress. More...
struct | Ogre::MaterialScriptCompiler::MaterialScriptContext
| Struct for holding the script context while parsing. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008